AutoCAD 2000/2000i/2002 Archive (Read Only)
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Modifying commands

7 REPLIES 7
Reply
Message 1 of 8
Anonymous
291 Views, 7 Replies

Modifying commands

I was wondering if there is a way to modify certain commands within Autocad.
For instance, drawing a line, I usually keep node snaps turned on but
nothing else. Is it possible to draw the line and instead of picking the
endpoint snap manually, type in E for endpoint and have it snap this way.
Any help would be appreciated.

--
Dennis Rich
D.T. Collins & Associates
1042 Mechem Drive
Ruidoso, NM 88345
(505) 258-5272
7 REPLIES 7
Message 2 of 8
cadanator
in reply to: Anonymous

You can TAB mid-command and it will select & cycle through the nearest
osnaps.

Hope this helps!

Hope this works.
"Dennis Rich" wrote in message
news:4938855@discussion.autodesk.com...
I was wondering if there is a way to modify certain commands within Autocad.
For instance, drawing a line, I usually keep node snaps turned on but
nothing else. Is it possible to draw the line and instead of picking the
endpoint snap manually, type in E for endpoint and have it snap this way.
Any help would be appreciated.

--
Dennis Rich
D.T. Collins & Associates
1042 Mechem Drive
Ruidoso, NM 88345
(505) 258-5272
Message 3 of 8
Anonymous
in reply to: Anonymous

"Dennis Rich" wrote in message
news:4938855@discussion.autodesk.com...
I was wondering if there is a way to modify certain commands within Autocad.
For instance, drawing a line, I usually keep node snaps turned on but
nothing else. Is it possible to draw the line and instead of picking the
endpoint snap manually, type in E for endpoint and have it snap this way.
Any help would be appreciated.

--------------------------------------------

You could undefine the core "line" command, then use your own lisp routine
to
draw lines with ENDP object snap turned on (example below):


(defun c:line ()
(setq o (getvar "osmode"))
(setvar "osmode" 1)
(setq p1 (getpoint "\n Specify first point: "))
(setq p2 (getpoint p1 "\n Specify next point: "))
(setvar "osmode" 0)
(command "._line" p1 p2 "")
(setvar "osmode" o)
(princ)
)




--
R.K. McSwain
http://rkmcswain.blogspot.com
Message 4 of 8
madcadd
in reply to: Anonymous

Hi R. K.,

Is the highlighted "o" oh supposed to be "0", zero in your lisp routine?
Message 5 of 8
madcadd
in reply to: Anonymous

Opps! What highlight? 😉
Message 6 of 8
Anonymous
in reply to: Anonymous

madcadd wrote:
> Hi R. K.,
>
> Is the highlighted "o" oh supposed to be "0", zero in your lisp routine?

No. It's the same "o" as in the second line.

--
R.K. McSwain
http://rkmcswain.blogspot.com
Message 7 of 8
madcadd
in reply to: Anonymous

R.K. wrote:

>No. It's the same "o" as in the second line.

OK! Just checkin' 😉
Message 8 of 8
Cad Monkey 19
in reply to: Anonymous

If you work without OSNAP turned on but still want to use snaps now ant then your can usually type in the first 3 or 4 letters of a snap point mid command. Eg:

END = ENDPOINT
PER = PERPENDICULAR
QUAD = QUADRANT.
etc.

Careful though, if you miss the first the first time you will have to type it in again.

Oh yeah, and you can toggle OSNAP with F3.
Cheers

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report